commit 2d7d862e3ffa8cec4fd3fdffcd84e984a17aa429
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-24 15:55:08 +0800

    Bump version and soname for 5.6.0.

 src/liblzma/Makefile.am         | 2 +-
 src/liblzma/api/lzma/version.h  | 6 +++---
 src/liblzma/liblzma_generic.map | 2 +-
 src/liblzma/liblzma_linux.map   | 2 +-
 4 files changed, 6 insertions(+), 6 deletions(-)

commit a18fb1edef0d0aac12a09eed05e9c448c777af7b
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-24 15:50:36 +0800

    Add NEWS for 5.6.0.

 NEWS | 143 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 143 insertions(+)

commit 24355c5280bc95e3d594432d60bb8432aa6af173
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-22 22:27:01 +0800

    Translations: Remove obsolete and fuzzy matches from some translations.
    
    The French and Brazilian Portuguese man page translations have not been
    updated since the switch from public domain to 0BSD. The old GPLv2
    strings have now been removed from these files.

 po4a/fr.po    | 4702 +++++++++++++++++++++++++++++++++++++----------------
 po4a/pt_BR.po | 4987 ++++++++++++++++++++++++++++++++++++++++-----------------
 2 files changed, 6832 insertions(+), 2857 deletions(-)

commit 02ca4a7d7b703e2ec63e00b70feec825e919dbc1
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-21 00:31:54 +0800

    Translations: Patch man pages to avoid fuzzy matches.
    
    This will be fixed in the next round of translations, but this avoids
    having a fuzzy match or not fixing the English version.

 po4a/de.po | 2 +-
 po4a/ko.po | 2 +-
 po4a/ro.po | 2 +-
 po4a/uk.po | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 898aad9fc711e03452d24d9e2c5b7f77a6f9ce64
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-21 00:30:43 +0800

    xzmore: Fix typo in xzmore.1.
    
    Thanks to Yuri Chornoivan.

 src/scripts/xzmore.1 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5631aa206c8d16b4eeab85a46b8b698f4fc4cdba
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-24 12:12:16 +0800

    Translations: Update the Vietnamese translation.

 po/vi.po | 505 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 309 insertions(+), 196 deletions(-)

commit a65fd7ce9d6228e87faf61dc56a35984d0088248
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-24 12:06:40 +0800

    Translations: Update the Esperanto translation.

 po/eo.po | 502 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 306 insertions(+), 196 deletions(-)

commit cf44e4b7f5dfdbf8c78aef377c10f71e274f63c0
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-23 23:09:59 +0800

    Tests: Add a few test files.

 tests/files/README                     |  19 +++++++++++++++++++
 tests/files/bad-3-corrupt_lzma2.xz     | Bin 0 -> 484 bytes
 tests/files/bad-dict_size.lzma         | Bin 0 -> 41 bytes
 tests/files/good-2cat.xz               | Bin 0 -> 136 bytes
 tests/files/good-large_compressed.lzma | Bin 0 -> 35430 bytes
 tests/files/good-small_compressed.lzma | Bin 0 -> 258 bytes
 6 files changed, 19 insertions(+)

commit 39f4a1a86ad80b2d064b812cee42668e6c8b8c73
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-23 20:58:36 +0800

    Tests: Add MicroLZMA test.

 tests/Makefile.am      |   4 +-
 tests/test_microlzma.c | 548 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 551 insertions(+), 1 deletion(-)

commit adaacafde6661496ca2814b1e94a3ba5186428cb
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-23 20:57:59 +0800

    Build: Define HAVE_MICROLZMA when it is configured.

 CMakeLists.txt | 4 ++++
 configure.ac   | 9 +++++++--
 2 files changed, 11 insertions(+), 2 deletions(-)

commit eea78216d27182ca917bf00e02feaab058a4d21e
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-23 20:27:15 +0800

    xz: Fix Capsicum sandbox compile error.
    
    user_abort_pipe[] was still being used instead of the parameters.

 src/xz/sandbox.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 32b0a3ce19224f9074d01a4ffbc1655b05fcb82d
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-23 16:12:32 +0800

    Build: Fix ARM64 CRC32 instruction feature test.
    
    Old versions of Clang reported the unsupported function attribute and
    __crc32d() function as warnings instead of errors, so the feature test
    passed when it shouldn't have, causing a compile error at build time.
    -Werror was added to this feature test to fix this. The change is not
    needed for CMake because check_c_source_compiles() also performs
    linking and the error is caught then.
    
    Thanks to Sebastian Andrzej Siewior for reporting this.

 configure.ac | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 4c81c9611f8b2e1ad65eb7fa166afc570c58607e
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-22 19:16:35 +0200

    CMake: Add LOCALEDIR to the windres workaround.
    
    LOCALEDIR may contain spaces like in "C:\Program Files".

 CMakeLists.txt | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

commit de4337fd89ca7db5feb97b5c40143404f6e22986
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-22 15:18:25 +0200

    xz: Landlock: Fix error message if input file is a directory.
    
    If xz is given a directory, it should look like this:
    
        $ xz /usr/bin
        xz: /usr/bin: Is a directory, skipping
    
    The Landlock rules didn't allow opening directories for reading:
    
        $ xz /usr/bin
        xz: /usr/bin: Permission denied
    
    The simplest fix was to allow opening directories for reading.
    While it's a bit silly to allow it solely for the error message,
    it shouldn't make the sandbox significantly weaker.
    
    The single-file use case (like when called from GNU tar) is
    still as strict as possible: all Landlock restrictions are
    enabled before (de)compression starts.

 src/xz/sandbox.c | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit 120da10ae139ea52ca4275452adf8eda02d07cc8
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-22 14:41:29 +0200

    liblzma: Disable branchless C version in range decoder.
    
    Thanks to Sebastian Andrzej Siewior and Sam James for
    benchmarking on various systems.

 src/liblzma/rangecoder/range_decoder.h | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit 00440f52be9ac2c7438c7b0cb1082f12399632c6
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-21 17:41:32 +0200

    INSTALL: Clarify that --disable-assembler affects only 32-bit x86.

 INSTALL | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 11405be84ea294497e12d03d7219f607063f4a00
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-19 18:41:37 +0200

    Windows: build.bash: Include COPYING.0BSD in the package.

 windows/build.bash | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c27cf64e3e27f4968431d65be7098a12a3a80d30
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-18 17:59:46 +0200

    Windows: build.bash: include liblzma-crt-mixing.txt in the package.

 windows/build.bash | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 8d38941baed05de4ff7cc775de14833108f62184
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-18 17:17:43 +0200

    Windows: Major update to Windows build instructions.

 INSTALL                                      |  68 ++++-----
 windows/INSTALL-MSVC.txt                     |  23 +--
 windows/INSTALL-MinGW-w64_with_Autotools.txt |  49 +++++++
 windows/INSTALL-MinGW-w64_with_CMake.txt     | 203 +++++++++++++++++++++++++++
 windows/INSTALL-MinGW.txt                    | 138 ------------------
 windows/README-Windows.txt                   |   2 +
 windows/build-with-cmake.bat                 |  35 +++++
 windows/liblzma-crt-mixing.txt               |  70 +++++++++
 8 files changed, 404 insertions(+), 184 deletions(-)

commit 4b5b0d352348ff510ffb50a3b5b71788857d37a1
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-18 15:15:04 +0200

    Windows: Update windows/README-Windows.txt.
    
    It's for binary packages built with windows/build.bash.

 windows/README-Windows.txt | 104 ++++++++++++++++++---------------------------
 1 file changed, 41 insertions(+), 63 deletions(-)

commit 1ee716f74085223c8fbcae1d5a384e6bf53c0f6a
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-18 15:15:04 +0200

    Windows: Update windows/build.bash.
    
    Support for the old MinGW was dropped. Only MinGW-w64 with GCC
    is supported now.
    
    The script now supports also cross-compilation from GNU/Linux
    (tests are not run). MSYS2 and also the old MSYS 1.0.11 work
    for building on Windows. The i686 and x86_64 toolchains must
    be in PATH to build both 32-bit and 64-bit versions.
    
    Parallel builds are done if "nproc" from GNU coreutils is available.
    
    MinGW-w64 runtime copyright information file was renamed from
    COPYING-Windows.txt to COPYING.MinGW-w64-runtime.txt which
    is the filename used by MinGW-w64 itself. Its existence
    is now mandatory, it's checked at the beginning of the script.
    
    The file TODO is no longer copied to the package.

 windows/build.bash | 191 +++++++++++++++++++++++++++++++----------------------
 1 file changed, 112 insertions(+), 79 deletions(-)

commit 60462e42609a1d961868a1d1ebecc713c6d27e2e
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-20 23:32:22 +0800

    Translations: Update the Romanian man page translations.

 po4a/ro.po | 1715 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 875 insertions(+), 840 deletions(-)

commit 10d733e5b8929c642e00891cfa9ead9c2cdd2e05
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-20 23:30:25 +0800

    Translations: Update the Korean man page translations.

 po4a/ko.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 797a34b72ac6baff237d7a546fa941d8f78f2f62
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-20 21:03:53 +0800

    Translations: Update the Spanish translation.

 po/es.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 5c3751d019f023e091df9a653e2bb1f6ea8b0d49
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-20 20:18:07 +0800

    Translations: Update the Romanian translation.

 po/ro.po | 470 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 227 insertions(+), 243 deletions(-)

commit e2d31154ecc750935436e8b62c6b073b2cfa84e3
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-20 20:15:50 +0800

    Translations: Update the Croatian translation.

 po/hr.po | 648 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 355 insertions(+), 293 deletions(-)

commit 704500f994d5ac271bfcfd592275c5a7da4dc8d2
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-20 20:05:44 +0800

    Translations: Update the German man page translations.

 po4a/de.po | 1696 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 873 insertions(+), 823 deletions(-)

commit 1cfd3dca3fef321b06db73c3c9e13f347c2e2f5f
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-20 19:58:25 +0800

    Translations: Update the German translation.

 po/de.po | 427 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 225 insertions(+), 202 deletions(-)

commit 28b9b3f16cc7c6e5b42e691994569c17f4561c9a
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-20 19:56:52 +0800

    Translations: Update the Hungarian translation.

 po/hu.po | 556 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 338 insertions(+), 218 deletions(-)

commit 00b06cd0af6ad2ee93d3006bf80417db060c2b04
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-19 16:48:05 +0200

    CMake: Fix building of lzmainfo when translations are enabled.

 CMakeLists.txt | 2 ++
 1 file changed, 2 insertions(+)

commit b0d1422b6037bfea6f6723683bd82a8e6d77026c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-19 13:38:42 +0200

    CMake: Don't assume that -fvisibility=hidden is supported outside Windows.
    
    The original code was good enough for supporting GNU/Linux
    and a few others but it wasn't very portable.
    
    CMake doesn't support Solaris Studio's -xldscope=hidden.
    If it ever does, things should still work with this commit
    as Solaris Studio supports not only its own __global but also
    the GNU C __attribute__((visibility("default"))). Support for the
    attribute was added in 2007 to Sun Studio 12 compiler version 5.9.

 CMakeLists.txt | 26 ++++++++++++++++++++++----
 1 file changed, 22 insertions(+), 4 deletions(-)

commit 2ced9d34bef4dce52ecbbf84d0903ab0aae1442c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-19 12:20:59 +0200

    CMake: Revise the component splitting.

 CMakeLists.txt | 57 +++++++++++++++++++++++++++++++--------------------------
 1 file changed, 31 insertions(+), 26 deletions(-)

commit 426bdc709c169d39b31dec410016779de117ef69
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 21:45:07 +0200

    CMake: Update the main comment and document CMAKE_BUILD_TYPE=Release.

 CMakeLists.txt | 79 ++++++++++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 63 insertions(+), 16 deletions(-)

commit 4430e075f7ccfc47972d6ca0aa1c3779fc265e10
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 21:27:48 +0200

    CMake: Use -O2 instead of -O3 in CMAKE_BUILD_TYPE=Release.
    
    -O3 doesn't seem useful for speed but it makes the code bigger.
    CMake makes is difficult for users to simply override the
    optimization level: CFLAGS / CMAKE_C_FLAGS aren't helpful because
    they go before CMAKE_C_FLAGS_RELEASE. Of course, users can override
    CMAKE_C_FLAGS_RELEASE directly but then they have to remember to
    add also -DNDEBUG to disable assertions.
    
    This commit changes -O3 to -O2 in CMAKE_C_FLAGS_RELEASE if and only if
    CMAKE_C_FLAGS_RELEASE cache variable doesn't already exist. So if
    a custom value is passed on the command line (or reconfiguring an
    already-configured build), the cache variable won't be modified.

 CMakeLists.txt | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 025eb6d7879e4c4e8cb29716b371e0f4c1aea660
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-18 14:59:52 +0200

    CMake: Handle symbol versioning on MicroBlaze specially.
    
    This is to match configure.ac.

 CMakeLists.txt | 23 +++++++++++++++++++----
 1 file changed, 19 insertions(+), 4 deletions(-)

commit 2edd1a35b2507d1ce68b52dbaebe23c4850a74ce
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 22:18:12 +0200

    CMake: Keep build working even if lib/*.[ch] are removed.

 CMakeLists.txt | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit d753e2ce4715552884afadc4ed6fbf8ccca6efac
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 18:10:40 +0200

    CMake: Install documentation.

 CMakeLists.txt | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

commit 7a0405bea9cb0df9318b70f779f82b2c473e98ac
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 15:35:35 +0200

    CMake: Bump maximum policy version to 3.28.
    
    CMP0154 doesn't affect us since we don't use FILE_SET.

 CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c2264ffbe3892d28930b89b0123efc369cabc143
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 15:35:35 +0200

    CMake: Build lzmainfo.

 CMakeLists.txt | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

commit 998d0b29536094a89cf385a3b894e157db1ccefe
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 15:35:35 +0200

    CMake: Build lzmadec.

 CMakeLists.txt | 76 ++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 42 insertions(+), 34 deletions(-)

commit 74e8bc7417a0f37ca7ed5ee0127d33c69b3100b9
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 15:35:35 +0200

    CMake: Add test_scripts.sh to the tests.
    
    In contrast to Automake, skipping of this test when decoders
    are disabled is handled at CMake side instead of test_scripts.sh
    because CMake-build doesn't create config.h.

 CMakeLists.txt        | 14 ++++++++++++++
 tests/test_scripts.sh | 13 ++++++++-----
 2 files changed, 22 insertions(+), 5 deletions(-)

commit 4808f238a731befcd46c2117c62a1caaf4403989
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 15:35:35 +0200

    CMake: Install scripts.
    
    Compared to the Autotools-based build, this has simpler handling
    for the shell (@POSIX_SHELL@) and extra PATH entry for the scripts
    (configure has --enable-path-for-scripts=PREFIX). The simpler
    metho should be enough for non-ancient systems and Solaris.

 CMakeLists.txt | 83 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 82 insertions(+), 1 deletion(-)

commit 3462362ebd94d835c664e94ad8f414cfe7590ca7
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 15:35:35 +0200

    Scripts: Use @PACKAGE_VERSION@ instead of @VERSION@.
    
    PACKAGE_VERSION was already used in liblzma.pc.in.
    This way only one version @foo@ is used.

 src/scripts/xzdiff.in | 2 +-
 src/scripts/xzgrep.in | 2 +-
 src/scripts/xzless.in | 2 +-
 src/scripts/xzmore.in | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 67610c245ba6c68cf65991693bab9312b7dc987b
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 15:35:35 +0200

    CMake: Simplify symlink creation and install translated man pages.
    
    It helps that cmake_install.cmake doesn't parallelize installation
    so symlinks can be created so that the target is always known to
    exist (a requirement on Windows in some cases).
    
    This bumps the minimum CMake version from 3.13 to 3.14 to use
    file(CREATE_LINK ...). It could be made to work on 3.13 by
    calling "cmake -E create_symlink" but it's uglier code and
    slower in "make install". 3.14 should be a reasonable version
    to require nowadays, especially since the Autotools build
    is still the primary build system for most OSes.

 CMakeLists.txt | 195 +++++++++++++++++++++++++++++----------------------------
 1 file changed, 98 insertions(+), 97 deletions(-)

commit 50cc1d8a5a8154428bf240c7e4972e32b17d99bf
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 15:35:35 +0200

    CMake: Add support for building and installing xz with translations.
    
    If gettext tools are available, the .po files listed in po/LINGUAS
    are converted using msgfmt. This allows building with translations
    directly from xz.git without Autotools.
    
    If gettext tools aren't available, the Autotools-created .gmo files
    in the "po" directory will be used. This allows CMake-based build
    to use translations from Autotools-generated tarball.
    
    If translation support is found (Intl_FOUND) but both the
    gettext tools and the pre-generated .gmo files are missing,
    then "make" will fail.

 CMakeLists.txt | 68 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 66 insertions(+), 2 deletions(-)

commit 746c471643009947f94a3494a1148f74c7381b56
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-19 11:58:33 +0200

    liblzma: Remove commented-out code.

 src/liblzma/rangecoder/range_decoder.h | 3 ---
 1 file changed, 3 deletions(-)

commit 4ce300ce0884c6e552de2af9ae8050b47b01f0e7
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 23:07:35 +0200

    xz: Delete old commented-out code.

 src/xz/message.c | 19 -------------------
 1 file changed, 19 deletions(-)

commit cae9a5e0bf422e6c5e64180805904f7ed02dc3aa
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 23:07:35 +0200

    xz: Use stricter pledge(2) and Landlock sandbox.
    
    This makes these sandboxing methods stricter when no files are
    created or deleted. That is, it's a middle ground between the
    initial sandbox and the strictest single-file-to-stdout sandbox:
    this allows opening files for reading but output has to go to stdout.

 src/xz/main.c    | 46 +++++++++++++++++++++++++++++++++-------------
 src/xz/sandbox.c | 32 ++++++++++++++++++++++++++++++++
 src/xz/sandbox.h |  4 ++++
 3 files changed, 69 insertions(+), 13 deletions(-)

commit 02e3505991233901575b7eabc06b2c6c62a96899
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 23:07:35 +0200

    xz: Support Landlock ABI version 4.
    
    Linux 6.7 added support for ABI version 4 which restricts
    TCP connections which xz won't need and thus those can be
    forbidden now. Since the ABI version is handled at runtime,
    supporting version 4 won't cause any compatibility issues.
    
    Note that new enough kernel headers are required to get
    version 4 support enabled at build time.

 src/xz/sandbox.c | 25 ++++++++++++++++++++-----
 1 file changed, 20 insertions(+), 5 deletions(-)

commit 374868d81d473ab56556a1cfd6b1b36a1fab348b
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 23:07:35 +0200

    xz: Move sandboxing code to sandbox.c and improve Landlock sandbox.
    
    Landlock is now always used just like pledge(2) is: first in more
    permissive mode and later (under certain common conditions) in
    a strict mode that doesn't allow opening more files.
    
    I put pledge(2) first in sandbox.c because it's the simplest API
    to use and still somewhat fine-grained for basic applications.
    So it's the simplest thing to understand for anyone reading sandbox.c.

 CMakeLists.txt     |   2 +
 src/xz/Makefile.am |   2 +
 src/xz/file_io.c   | 170 +-----------------------------
 src/xz/file_io.h   |   6 --
 src/xz/main.c      |  50 +++------
 src/xz/private.h   |   6 +-
 src/xz/sandbox.c   | 295 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/xz/sandbox.h   |  39 +++++++
 8 files changed, 357 insertions(+), 213 deletions(-)

commit 7312dfbb02197c7f990c7a3cefd027a9387d1473
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 23:07:35 +0200

    xz: Tweak comments.

 src/xz/main.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit c701a5909ad9882469fbab4fab5d2d5556d3ba78
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 23:07:35 +0200

    xz: Fix message_init() description.
    
    Also explicitly initialize progress_automatic to make it clear
    that it can be read before message_init() sets it. Static variable
    was initialized to false by default already so this is only for
    clarity.

 src/xz/main.c    | 3 ++-
 src/xz/message.c | 2 +-
 src/xz/message.h | 5 ++++-
 3 files changed, 7 insertions(+), 3 deletions(-)

commit 9466306719f3b76e92fac4e55fbfd89ec92295fa
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 19:35:47 +0200

    Build: Makefile.am: Sort EXTRA_DIST.
    
    Dirs first, then files in case-sensitive ASCII order.

 Makefile.am | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit f3440e78c9517db75bfa52e1a378fad60b073bbe
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 19:25:05 +0200

    Build: Don't install TODO.

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a7a3b62e2ab03c82b2bd5c78da1d1fb8b8490381
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-18 01:09:11 +0800

    Translations: Update the Korean man page translations.

 po4a/ko.po | 1707 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 871 insertions(+), 836 deletions(-)

commit 9b315db2d5e74700f3dc0755eb86c27947c0b393
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-18 01:08:32 +0800

    Translations: Update the Korean translation.

 po/ko.po | 423 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 223 insertions(+), 200 deletions(-)

commit 56246607dff177b0410d140fcca4a42c865723dc
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 16:23:14 +0200

    Build: Install translated lzmainfo man pages.
    
    All other translated man pages were being installed but
    lzmainfo had been forgotten.

 src/lzmainfo/Makefile.am | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit f1d6b88aefcced538403c5c2606ba57065b16e70
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 16:01:32 +0200

    liblzma: Avoid implementation-defined behavior in the RISC-V filter.
    
    GCC docs promise that it works and a few other compilers do
    too. Clang/LLVM is documented source code only but unsurprisingly
    it behaves the same as others on x86-64 at least. But the
    certainly-portable way is good enough here so use that.

 src/liblzma/simple/riscv.c | 30 ++++++++++++++++++++++--------
 1 file changed, 22 insertions(+), 8 deletions(-)

commit 843ddc5f617b91ae132d6bab0f2f2d9c9fcd214a
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-17 15:48:28 +0200

    liblzma: Wrap a line exceeding 80 chars.

 src/liblzma/rangecoder/range_decoder.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e9053c907250c70d98b319d95fa54cb94fc76869
Author: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Date:   2024-02-16 21:50:15 +0100

    liblzma/rangecoder: Exclude x32 from the x86-64 optimisation.
    
    The x32 port has a x86-64 ABI in term of all registers but uses only
    32bit pointer like x86-32. The assembly optimisation fails to compile on
    x32. Given the state of x32 I suggest to exclude it from the
    optimisation rather than trying to fix it.
    
    Signed-off-by: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>

 src/liblzma/rangecoder/range_decoder.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3d198fb13b87f8803442e5799d465f7434a70555
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-17 21:05:07 +0800

    Translations: Update the Spanish translation.

 po/es.po | 427 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 226 insertions(+), 201 deletions(-)

commit cf278bfe60a25b54b3786f06503bc61272970820
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-17 20:43:29 +0800

    Translations: Update the Swedish translation.

 po/sv.po | 434 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 230 insertions(+), 204 deletions(-)

commit b0f1a41be50560cc6cb528e8e96b02b2067c52c2
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-17 20:41:38 +0800

    Translations: Update the Polish translation.

 po/pl.po | 424 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 224 insertions(+), 200 deletions(-)

commit d74ed48b30c631b6a4c7e7858b06828293bf8520
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-17 20:41:02 +0800

    Translations: Update the Ukrainian translation.

 po/uk.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 711e22d5c5f3bac39ac904efb3ede874a66e2045
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-16 17:53:34 +0200

    Translations: Use the same sentence in xz.pot-header that the TP uses.

 po/xz.pot-header | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fb5f6aaf18584672d0fee5dbe41fd30fc6bf5422
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-16 22:53:46 +0800

    Fix typos discovered by codespell.

 AUTHORS                                | 2 +-
 NEWS                                   | 2 +-
 src/liblzma/rangecoder/range_decoder.h | 4 ++--
 3 files changed, 4 insertions(+), 4 deletions(-)

commit c64723bbb094e29b4edd98f6fcce866e1b569b42
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-16 22:52:41 +0800

    Translations: Update the Ukrainian man page translations.

 po4a/uk.po | 1710 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 873 insertions(+), 837 deletions(-)

commit 2895195ed0f68b245c7bd568c126ba6e685fa1d6
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-16 22:51:04 +0800

    Translations: Update the Ukrainian translation.

 po/uk.po | 466 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 225 insertions(+), 241 deletions(-)

commit 4c20781f4c8f04879b64d631a4f44b4909147bde
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-15 22:32:52 +0200

    Translations: Omit the generic copyright line from man page headers.

 po4a/update-po | 1 +
 1 file changed, 1 insertion(+)

commit 4323bc3e0c1e1d2037d5e670a3bf6633e8a3031e
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-15 22:26:43 +0800

    Update m4/.gitignore.

 m4/.gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 5394a1665b7a108a54cb8b4ef3ebe59d3dbcca3a
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-14 21:11:49 +0200

    Tests: tuktest.h: Treat Clang separately from GCC.
    
    Don't assume that Clang defines __GNUC__ as the extensions
    are available in clang-cl as well (and possibly in some other
    Clang variants?).

 tests/tuktest.h | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit cce7330b9f23485a0879422e0c3395a7065439ac
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-14 21:11:03 +0200

    Tests: tuktest.h: Add a missing word to a comment.

 tests/tuktest.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5dd8fc9452a3373cedc27379067ce638f992c741
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-14 21:10:10 +0200

    Tests: tuktest.h: Fix the comment about STest.

 tests/tuktest.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 6f1790254a03c5edf0f2976f773220f070450acd
Author: Jia Tan <jiat0218@gmail.com>
Date:   2024-02-15 01:53:40 +0800

    Bump version for 5.5.2beta.

 src/liblzma/api/lzma/version.h  | 4 ++--
 src/liblzma/liblzma_generic.map | 2 +-
 src/liblzma/liblzma_linux.map   | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 924fdeedf48113fb1e0646d86bd89a356d21a055
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-14 19:46:11 +0200

    liblzma: Fix validate_map.sh.
    
    Adding the SPDX license identifier changed the line numbers.

 src/liblzma/validate_map.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 22140a2df6161b0110e6b4afa5ea0a07c5b60b01
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-14 19:38:34 +0200

    Build: Start the generated ChangeLog from around 5.4.0 instead of 5.2.0.

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0b8cefa136c21d403a01b78517f4decb50172bdb
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-14 19:27:46 +0200

    Fixed NEWS for 5.5.2beta.

 NEWS | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit a4557bad96361d93ea171ed859ac5a696fca824f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-14 19:21:45 +0200

    liblzma: Silence warnings in --enable-small build.

 src/liblzma/lzma/lzma_decoder.c        | 2 ++
 src/liblzma/rangecoder/range_decoder.h | 1 +
 2 files changed, 3 insertions(+)

commit 38edf473236d00b3e100dc4c4f0bf43a4993fed2
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-14 19:15:58 +0200

    Build: Install COPYING.0BSD as part of docs.

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit b74e10bd839bcdc239afb5300ffaee195f34c217
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-14 19:14:05 +0200

    Docs: List COPYING.0BSD in README.

 README | 1 +
 1 file changed, 1 insertion(+)

commit dfdb60ffe933a1f1497d300dbb4513ed17ec6f0e
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-14 19:11:48 +0200

    Docs: Include doc/examples/11_file_info.c in tarballs.
    
    It was added in 2017 in c2e29f06a7d1e3ba242ac2fafc69f5d6e92f62cd
    but it never got into any release tarballs because it was
    forgotten to be added to Makefile.am.

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 160b6862646d95dfdbd73ab7f1031ede0f54992d
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-14 19:05:58 +0200

    liblzma: Silence a warning.

 src/liblzma/rangecoder/range_decoder.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eeedd4d0925ea417add04ceb42a6c0829244b50c
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-14 18:32:27 +0200

    Add NEWS for 5.5.2beta.

 NEWS | 60 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 60 insertions(+)

commit 8af7db854f903068d72a9a0d21103cb0c5027fa8
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-13 14:32:47 +0200

    xz: Mention lzmainfo if trying to use 'lzma --list'.
    
    This kind of fixes the problem reported here:
    https://bugs.launchpad.net/ubuntu/+source/xz-utils/+bug/1291020

 src/xz/list.c | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit 0668907ff736e4cd16738c10d39a2bc9e851aefb
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-14 14:58:36 +0200

    liblzma: Add comments.

 src/liblzma/lzma/lzma_decoder.c        |  9 +++++++++
 src/liblzma/rangecoder/range_decoder.h | 11 +++++++++--
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 109f1913d4824c8214d5bbd38ebebf62c37572da
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-13 17:00:17 +0200

    Scripts: Add lz4 support to xzgrep and xzdiff.

 src/scripts/xzdiff.1  |  8 +++++---
 src/scripts/xzdiff.in | 14 +++++++++-----
 src/scripts/xzgrep.1  |  6 ++++--
 src/scripts/xzgrep.in |  1 +
 4 files changed, 19 insertions(+), 10 deletions(-)

commit de55485cb23af56c5adbe3239b935c957ff8ac4f
Author: Lasse Collin <lasse.collin@tukaani.org>
Date:   2024-02-13 14:05:13 +0200
